<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8"/>
    <title>Change Password</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <link rel="icon" type="image/x-icon" href="/img/favicon.ico"/>
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/css/bootstrap.css" rel="stylesheet" type="text/css"/>
    <link href="/css/plugins.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->

</head>
<body class="sidebar-noneoverflow">
<%- include('../includes/menu'); -%>

<div class="main-container" id="container">
    <div class="overlay"></div>
    <div class="search-overlay"></div>
    <%- include('../includes/topbar'); -%>
    <div id="content" class="main-content">
        <div class="layout-px-spacing">
            <div class="row layout-top-spacing">
                <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                    <div class="widget-content widget-content-area br-6">
                        <h1 class="text-center"> CHANGEMENT DU MOT DE PASSE</h1>

                        <div class="table-responsive">
                            <form id="form" class="needs-validation" method="POST" novalidate>

                                <div class="form-group mb-4">
                                    <label for="mdpActuel">Mot de passe actuel *</label>
                                    <input type="password" id="mdpActuel" class="form-control" required>
                                    <div class="invalid-feedback" id="invalidMdpActuel">
                                        Champ non valide!
                                    </div>
                                </div>

                                <div class="form-group mb-4">
                                    <label for="nouveauMdp1">Nouveau mot de passe *</label>
                                    <input type="password" id="nouveauMdp1" class="form-control" required>
                                    <div class="invalid-feedback" id="invalidNouveauMdp1">
                                        Champ non valide!
                                    </div>
                                </div>

                                <div class="form-group mb-4">
                                    <label for="nouveauMdp2">Confirmer le nouveau mot de passe *</label>
                                    <input type="password" id="nouveauMdp2" class="form-control" required>
                                    <div class="invalid-feedback" id="invalidNouveauMdp2">
                                        Champ non valide!
                                    </div>
                                </div>

                                <div class="d-flex justify-content-between">
                                    <button id="myBtn" type="submit" class="btn btn-success mt-3 ">Changer</button>
                                    <a id="annuler" onclick="clicked(event)" class="btn btn-danger mt-3" >Annuler</a>
                                </div>

                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>


<!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
<script src="/js/jquery.min.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
<script src="/js/app.js"></script>
<script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.11.1/jquery.validate.min.js"></script>
<script src="/plugins/input-mask/jquery.inputmask.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>

<!-- END GLOBAL MANDATORY SCRIPTS -->
<script>
    let invalidMdpActuel = document.getElementById("invalidMdpActuel");
    let invalidNouveauMdp1 = document.getElementById("invalidNouveauMdp1");
    let invalidNouveauMdp2 = document.getElementById("invalidNouveauMdp2");

    let isMdpValide = false;
    let isNouveauMdp1Valide = false;
    let isNouveauMdp2Valide = false;

    function isBlank(idElt){
        let elt = document.getElementById(idElt);
        let noSpace = elt.value.replace(/ /g, '');
        if(noSpace == ''){
            return true;
        }
        return false;
    }

    function printError(idDivInput){
        document.getElementById(idDivInput).style.borderColor = "red";
    }
    function printOK(idDivInput){
        document.getElementById(idDivInput).style.borderColor = "green";
    }

    function controlError(idEltInput, isEltValid, idDivError){
        let isEltInputBlank = isBlank(idEltInput);
        let error = document.getElementById(idDivError);
        if(isEltInputBlank){
            isEltInputBlank = false;
            error.style.display = "block"
            printError(idEltInput);
        }
    }

    function controlBlankValues(){
        controlError("mdpActuel", isMdpValide, "invalidMdpActuel");
        controlError("nouveauMdp1", isAdresseValide, "invalidNouveauMdp1");
        controlError("nouveauMdp2", isEmailValide, "invalidNouveauMdp2");
    }

    function clicked(e){
        if(confirm("Voulez-vous vraiment annuler le changement? ")){
            e.preventDefault();
            window.location.replace("/")
        }
    }

    $('#form').on('submit', function (e) {
        var form = $( "#form" );

        if(form.valid()){
            document.getElementById("myBtn").disabled = true;
            e.preventDefault();

            var data = {
                mdpActuel: document.getElementById("mdpActuel").value,
                nouveauMdp1: document.getElementById("nouveauMdp1").value,
                nouveauMdp2: document.getElementById("nouveauMdp2").value,
            }
            console.log(data);

            $.ajax({
                url: "/User/changementPassword",
                type: 'post',
                dataType: "jsonp",
                data: data,
                statusCode: {
                    200: function (response) {
                        document.getElementById("myBtn").disabled = true;
                        console.log(response);
                        window.location.replace("/")
                    },

                    500: function (err) {
                        console.log(err);
                        if(confirm(err.responseText)){
                            document.getElementById("myBtn").disabled = false
                            //window.location.replace("/User/changementPassword")
                        }else{
                            document.getElementById("myBtn").disabled = false;
                            //window.location.replace("/User/changementPassword")
                        }
                    }
                }
            })
        }
    })


</script>

</body>
</html>

